www/apache22: Apache 2.2.13 fails start // [error] Unable to initialize TLS servername extension callback (incompatible OpenSSL version?)

Ronny Forberger ronnyforberger at ronnyforberger.de
Sun Jan 10 19:35:49 UTC 2010


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

since an upgrade of port www/apache22 to version 2.2.13 the httpd
won't launch anymore.

It is ssl related, perhaps when building against a wrong openssl version.

The error_log says: [error] Unable to initialize TLS servername
extension callback (incompatible OpenSSL version?)

My installed openssl version, and which version apache22 is built
against, is openssl-0.9.8k_5 installed from the freebsd8 binary packages.

I can't build openssl-0.9.8k_5 from ports, since it says the port is
broken due to a missing patchset.

Can you help me?

Thanks,
Ronny

- --
___________________________________
Ronny Forberger
ronnyforberger at ronnyforberger.de
PGP public key:
http://www.ronnyforberger.de/~rf/wwwroot/pgp/0x71AE1E17.asc
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAktKKEEACgkQC1+bGHGuHhcxzgCeIH0LvjMOtICofAL2RPk9WCnR
OeEAn2sl7Sbp3saI70rcmM3sVmzbNiYu
=PSHc
-----END PGP SIGNATURE-----



More information about the freebsd-apache mailing list